<?php







class Banner extends ObjectModel

{

	/** @var string Name */

	public $id_banner;

	

	/** @var string Name */

	public $banner_text;

	

	/** @var string Name */

	public $banner_chiffre;

	

	/** @var string Name */

	public $banner_img;

	

	

	



	

    /**

     * @see ObjectModel::$definition

     */

    public static $definition = array(

        'table' => 'dynamic_banner',

        'primary' => 'id_banner',

        'multilang' => FALSE,

        'fields' => array(            		

            'banner_text'=>array('type' => self::TYPE_STRING, 'validate' => 'isCatalogName', 'required' => true, 'size' => 128),

			'banner_chiffre'=>array('type' => self::TYPE_STRING, 'validate' => 'isCatalogName', 'required' => true, 'size' => 128),

			'banner_img'=>array('type' => self::TYPE_STRING, 'validate' => 'isCatalogName', 'size' => 32),	            	

        ),

    );

	

    public static function loadByIdProduct($id_banner){

        $result = Db::getInstance()->getRow('

            SELECT *

            FROM `'._DB_PREFIX_.'dynamic_banner` banner

            WHERE banner.`id_banner` = '.(int)$id_banner

        );

        

        return new Banner($result['id_banner']);

    }

	

	//get all quotes 	

	

	public function getAllBanners()

	{

	    $sql='';

	    $id_lang = (int)Context::getContext()->language->id; 

		$dbquery = new DbQuery();

		$dbquery->select('d.`id_banner` AS `id`, d.`banner_text` AS `banner_text`, d.`banner_chiffre` AS `banner_chiffre`, d.`banner_img` AS `banner_img`');

		$dbquery->from('dynamic_banner', 'd');		

		

		$orders = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($dbquery->build());		



		return $orders;

		

	}	

	

	

		//get quote details

	

	public  function getBannerDetails(){

	$id_lang=(int)Context::getContext()->language->id; 

	if(Tools::getValue('id')){

	$id_banner=Tools::getValue('id');	

	$sql = 'SELECT  * FROM `'._DB_PREFIX_.'dynamic_banner` q    

	        WHERE  q.`id_banner`='.$id_banner;	

    $results = Db::getInstance()->ExecuteS($sql);

    

	return $results;	

	

	}

	

	}

	

	

	

	    public function processImage($FILES,$id) {

 

            if (isset($FILES['BANNER_IMAGE']) && isset($FILES['BANNER_IMAGE']['tmp_name']) && !empty($FILES['BANNER_IMAGE']['tmp_name'])) {

                if ($error = ImageManager::validateUpload($FILES['BANNER_IMAGE'], 4000000))

                    return $message='Invalid image';

                else {

                    $ext = substr($FILES['BANNER_IMAGE']['name'], strrpos($FILES['BANNER_IMAGE']['name'], '.') + 1);

                    $file_name = $id . '.' . $ext;





                    $path = _PS_MODULE_DIR_ .'dynamicbanner/uploads/' . $file_name;

                  



                    if (!move_uploaded_file($FILES['BANNER_IMAGE']['tmp_name'], $path))

                        return $message='An error occurred while attempting to upload the file.';

                    else {

                        $posts_types =ImageType::getImagesTypes('products');

                        foreach ($posts_types as  $image_type)

			{

                                     $dir = _PS_MODULE_DIR_ .'dynamicbanner/uploads/'.$id.'-'.stripslashes($image_type['name']).'.jpg';

                                        if (file_exists($dir))

						unlink($dir);

			}

			foreach ($posts_types as $image_type)

			{

                                    ImageManager::resize($path,_PS_MODULE_DIR_ .'dynamicbanner/uploads/'.$id.'-'.stripslashes($image_type['name']).'.jpg',

                                        (int)$image_type['width'], (int)$image_type['height']

                                        );

			}

                    }

                }

            } 		

			

    }

	

	

	

	

}



